LogManager (SLF4J 1.7.28 API)
Date: 2019-08-10

org.apache.log4j

## Class LogManager

- java.lang.Object
- - org.apache.log4j.LogManager

-     public class LogManager
      extends Object

  This class is a minimal implementation of the original `org.apache.log4j.LogManager` class (as found in log4j 1.2) delegating all calls to SLF4J.

  This implementation does NOT implement the setRepositorySelector(), getLoggerRepository(), exists(), getCurrentLoggers(), shutdown() and resetConfiguration() methods which do not have SLF4J equivalents.
  Author:
    Ceki Gülcü

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LogManager()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Enumeration` | `getCurrentLoggers()` This bogus implementation returns an empty enumeration.
    `static Logger` | `getLogger(Class clazz)`
    `static Logger` | `getLogger(String name)`
    `static Logger` | `getLogger(String name, LoggerFactory loggerFactory)` Returns a logger instance created by loggerFactory.
    `static Logger` | `getRootLogger()`
    `static void` | `resetConfiguration()` Implemented as NOP.
    `static void` | `shutdown()` Implemented as NOP.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LogManager

          public LogManager()

  - ### Method Detail

    - #### getRootLogger

          public static Logger getRootLogger()

    - #### getLogger

          public static Logger getLogger(String name)

    - #### getLogger

          public static Logger getLogger(Class clazz)

    - #### getLogger

          public static Logger getLogger(String name,
                                         LoggerFactory loggerFactory)

      Returns a logger instance created by loggerFactory. This method was requested in SLF4J-225. Note that log4j-over-slf4j does not ship with a LoggerFactory implementation. If this method is called, the caller must provide his/her own implementation.
      Parameters:
        `name` - the name of the desired logger
        `loggerFactory` - an instance of `LoggerFactory`
      Returns:
        returns a logger instance created by loggerFactory
      Since:
        1.6.6

    - #### getCurrentLoggers

          public static Enumeration getCurrentLoggers()

      This bogus implementation returns an empty enumeration.
      Returns:

    - #### shutdown

          public static void shutdown()

      Implemented as NOP.

    - #### resetConfiguration

          public static void resetConfiguration()

      Implemented as NOP.

Copyright © 2005–2019 QOS.ch. All rights reserved.